Name:           xmppc
Version:        0.1.0
Release:        2%{?dist}
Summary:        A command-line interface (CLI) XMPP Client

License:        GPLv3
URL:            https://codeberg.org/Anoxinon_e.V./%{name}
Source0:        https://codeberg.org/Anoxinon_e.V./%{name}/archive/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  libstrophe-devel
BuildRequires:  glib2-devel
BuildRequires:  gpgme-devel
# For docs:
BuildRequires:  doxygen
BuildRequires:  asciidoc

%description
xmppc is a XMPP command line interface client. It's written in C and
is using the xmpp library libstrophe.



%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch
Requires:       %{name}

%description    doc
The %{name}-doc package contains HTML documentation for developing
applications that use %{name}.



%prep
%autosetup -n %{name}


%build
autoreconf -i -W all
%configure
%make_build

# Build HTML documentation
pushd doc/
make  # results are in doc/doxygen/html/
popd


%install
%make_install
# Install HTML documentation for the doc subpackage
mkdir -p %{buildroot}%{_pkgdocdir}/
cp -a doc/doxygen/html/ %{buildroot}%{_pkgdocdir}/


%check
make check



%files
%license LICENSE
%doc README.md changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%files doc
%{_pkgdocdir}/



%changelog
* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 19 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.1.0-1
- Package Review RHBZ#1996107:
  - Initial packaging
